package com.hexace.editor.controller
{
	import com.hexace.editor.events.CustomerEvent;
	import com.hexace.editor.model.CustomerModel;
	
	import org.robotlegs.mvcs.Command;
	
	public class LoadCustomerDetailsCommand extends Command
	{
		[Inject]
		public var customerModel:CustomerModel;
			
		override public function execute():void
		{
			trace("LoadCustomerDetailsCommand.execute() ");
			dispatch(new CustomerEvent(CustomerEvent.CUSTOMER_LOADED, customerModel.customer));
		}
	}
}