package com.hexace.editor.events
{
	import com.hexace.editor.model.vo.customer.Customer;
	
	import flash.events.Event;
	
	public class CustomerEvent extends Event
	{
		//public static const LOAD:String = "load"; // is now ServiceRequestEvent.LOAD_XML
		//public static const LOAD_CUSTOMER_START:String = "customerLoadStart";//not used
		
		/*public static const CHANGED:String = "changed";		
		public static const UPDATE:String = "update";
		public static const UPDATED:String = "updated";*/
		//better names:
		///////////// added by Ondina
		public static const LOAD_CUSTOMER_DETAILS:String = "loadCustomerDetails";	
		public static const CUSTOMER_LOADED:String = "customerLoaded";		
		public static const UPDATE_CUSTOMER:String = "updateCustomer";
		public static const CUSTOMER_UPDATED:String = "customerUpdated";
		public static const SAVE_CUSTOMER:String = "saveCustomer";
		
		private var _customer:Customer;
		private var _path:String;
		
		public function CustomerEvent(type:String, customer:Customer=null)
		{
			super(type);
			_customer = customer;
		}
		
		override public function clone():Event
		{
			var ce:CustomerEvent = new CustomerEvent(type, _customer);
			ce.path = path;
			return ce;
		}
		
		public function get customer():Customer
		{
			return _customer;
		}
		
		public function set path(v:String):void
		{
			_path = v;
		}
		
		public function get path():String
		{
			return _path;
		}
	}
}