package com.hexace.editor.events
{
    import com.hexace.editor.model.vo.module.Module;
    import flash.events.Event;
    import mx.collections.ArrayCollection;

    public class ModuleEvent extends Event
    {
		/*public static const SELECTED:String = "selected";
		public static const ADDED:String = "added";
		public static const UPDATE:String = "update";
		public static const UPDATED:String = "updated";*/
		///////////// added by Ondina
		///////////// better names:
		public static const LOAD_MODULES:String="loadModules";
        public static const ADD_MODULE:String="addModule";
        public static const DELETE_MODULE:String="deleteModule";
        public static const MODULE_ADDED:String="moduleAdded";
        public static const MODULE_DELETED:String="moduleDeleted";
        public static const MODULE_SELECTED:String="moduleSelected";
        public static const MODULE_UPDATED:String="moduleUpdated";      
        public static const SELECT_MODULE:String="selectModule";
        public static const UPDATE_MODULE:String="updateModule";

        public function ModuleEvent(type:String, module:Module=null, modulesList:ArrayCollection=null, bubbles:Boolean=false, cancelable:Boolean=false)
        {
            super(type, bubbles, cancelable);
            _module=module;
            _modulesList=modulesList;
        }

        private var _module:Module;
        private var _modulesList:ArrayCollection;

        override public function clone():Event
        {
            var me:ModuleEvent=new ModuleEvent(type, _module, _modulesList, bubbles, cancelable);
            return me;
        }

        public function get module():Module
        {
            return _module;
        }

        public function get modulesList():ArrayCollection
        {
            return _modulesList;
        }
    }
}
