package com.hexace.editor.model.vo.module
{
	import com.hexace.editor.model.vo.VO;

	/**
	 * @author Maciej Kuster
	 */
	[Bindable]
	public final class Module extends VO
	{
		private var _id:uint;
		private var _customerId:uint;
		private var _name:String;
		private var _type:String;
		//private var _functionalities:Vector.<Functionality>;
		
		public function Module(name:String="", type:String="", id:uint = 0, customerId:uint = 0):void 
		{ 
			this._id = id;
			this._name = name;
			this._type = type;
			this._customerId = customerId;
			//this._functionalities = functionalities;
		}
		
		public function clone(newId:uint = 0, newCustomerId:uint = 0):Module
		{
			return new Module(_name, _type, newId || _id, newCustomerId || _customerId);
		}
		
		public function get id():uint
		{
			return this._id;
		}
		
		public function set id(value:uint):void
		{
			this._id = value;
		}
		
		public function get customerId():uint
		{
			return this._customerId;
		}
		
		public function set customerId(value:uint):void
		{
			this._customerId = value;
		}
		
		public function get name():String
		{
			return this._name;
		}
		
		public function set name(value:String):void
		{
			this._name = value;
		}
		
		public function get type():String
		{
			return this._type;
		}
		
		public function set type(value:String):void
		{
			this._type = value;
		}
		
		/*public function get functionalities():Vector.<Functionality>
		{
			return this._functionalities;
		}
		
		public function set functionalities(value:Vector.<Functionality>):void
		{
			this._functionalities = value;
		}*/
		
	}
}