package com.hexace.editor.view
{
	import com.hexace.editor.events.ModuleEvent;
	//import com.hexace.editor.model.ModuleModel;
	
	import org.robotlegs.mvcs.Mediator;
	
	public class ModulesListMediator extends Mediator
	{
		/*[Inject]
		public var customerModel:CustomerModel;*/
		
		//[Inject]
		//public var modulesListModel:ModuleModel;
		
		[Inject]
		public var view:ModulesListView;
		
		override public function onRegister():void
		{
			trace("[Mediator]---ModulesPanelViewMediator.onRegister() ");
			addViewListener(ModuleEvent.SELECT_MODULE, dispatch);
			addContextListener(ModuleEvent.MODULE_ADDED, onModuleAdded);
			addContextListener(ModuleEvent.MODULE_UPDATED, onModuleUpdated);
			addContextListener(ModuleEvent.MODULE_DELETED, onModuleDeleted);
			//done in the view
			//view.modulesListLabelFunction = modulesListLabelFunction;
			//
			//view.modules = modulesListModel.modules;
			dispatch(new ModuleEvent(ModuleEvent.LOAD_MODULES));
		}
		//done in the view
		/*private function modulesListLabelFunction(item:Module):String
		{
			trace("[Mediator]---ModulesPanelViewMediator.modulesListLabelFunction(item) "+item.name + " (" + item.type + ")");
			
			return item.name + " (" + item.type + ")";
		}*/
		//actually the following methods could be merged into a single one, since they do the same, i.e. setting the dataProvider of the list
		private function onModuleAdded(event:ModuleEvent):void
		{
			trace("-----------ModulesListMediator.onModuleAdded(event)");
			view.modules = event.modulesList;	
		}
		
		private function onModuleUpdated(event:ModuleEvent):void
		{
			trace("---------ModulesListMediator.onModuleUpdated(event)");
			view.modules = event.modulesList;
		}
		
		private function onModuleDeleted(event:ModuleEvent):void
		{
			trace("ModulesListMediator.onModuleDeleted(event)");
			view.modules = event.modulesList;
		}
	}
}